GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Enumerations | Functions
fake_transport_security.c File Reference
`#include "src/core/tsi/fake_transport_security.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/port_platform.h>`
`#include <grpc/support/useful.h>`
`#include "src/core/tsi/transport_security.h"`

## Data Structures
struct | tsi_fake_frame
struct | tsi_fake_handshaker
struct | tsi_fake_frame_protector

## Macros
#define | TSI_FAKE_FRAME_HEADER_SIZE 4
#define | TSI_FAKE_FRAME_INITIAL_ALLOCATED_SIZE 64
#define | TSI_FAKE_DEFAULT_FRAME_SIZE 16384

## Enumerations
enum | tsi_fake_handshake_message { TSI_FAKE_CLIENT_INIT = 0, TSI_FAKE_SERVER_INIT = 1, TSI_FAKE_CLIENT_FINISHED = 2, TSI_FAKE_SERVER_FINISHED = 3, TSI_FAKE_HANDSHAKE_MESSAGE_MAX = 4 }

## Functions
tsi_handshaker * | tsi_create_fake_handshaker (int is_client)
tsi_frame_protector * | tsi_create_fake_protector (size_t *max_protected_frame_size)

## Macro Definition Documentation

#define TSI_FAKE_DEFAULT_FRAME_SIZE 16384

#define TSI_FAKE_FRAME_HEADER_SIZE 4

#define TSI_FAKE_FRAME_INITIAL_ALLOCATED_SIZE 64

## Enumeration Type Documentation

enum tsi_fake_handshake_message

Enumerator
TSI_FAKE_CLIENT_INIT |
TSI_FAKE_SERVER_INIT |
TSI_FAKE_CLIENT_FINISHED |
TSI_FAKE_SERVER_FINISHED |
TSI_FAKE_HANDSHAKE_MESSAGE_MAX |

## Function Documentation

tsi_handshaker* tsi_create_fake_handshaker | ( | int | is_client | ) |

tsi_frame_protector* tsi_create_fake_protector | ( | size_t * | max_protected_frame_size | ) |